Bug 131271 - Missing /sbin/install-info for fsh's info file
Missing /sbin/install-info for fsh's info file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fsh (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: David Woodhouse
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 13:19 EDT by Matthias Saou
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 09:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2004-08-30 13:19:12 EDT
Description of problem:
The current fsh package contains an info file, but doesn't make the
proper install-info call upon installation.

Version-Release number of selected component (if applicable):
fsh-1.2-3

How reproducible:
Always.

Steps to Reproduce:
1. rpm -q --scripts fsh
  
Actual results:
Nothing.

Expected results:
%post
/sbin/install-info %{_infodir}/fsh.info.gz %{_infodir}/dir
                                                                     
          
%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/fsh.info.gz %{_infodir}/dir
fi

Additional info:
None.
Comment 1 Matthias Saou 2004-08-30 14:24:03 EDT
Another EasyFix for the fsh package would be to replace the
non-standard Group: tag (Networking/Other) with an official one from
/usr/share/doc/rpm-4.*/GROUPS, like Applications/Internet (which is
the one openssh-clients uses) for instance.
Comment 2 David Woodhouse 2004-08-31 09:58:17 EDT
Both fixed in 1.2-4. Thanks.

Note that fsh will soon be obsoleted by OpenSSH itself. The SSHv2
protocol supports more than one shell channel over the same
connection, and opensshd has also supported it for a long time. 

The OpenSSH client has recently started to get support for it too,
allowing you to re-use the connection without any need for a wrapper
such as fsh. See the 'ControlMaster' and 'ControlPath' options in
openssh 3.9.

It does need a little improvement before it's perfectly transparent
like fsh, though.


Note You need to log in before you can comment on or make changes to this bug.